package com.ywt.mg;

import com.ywt.rpc.core.RestServerStarter;
import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;

@Configuration
@EnableAutoConfiguration
@EnableDubbo
@ComponentScan(basePackages = "com.ywt.mg")
public class Main {

    public static void main(String[] args) {
        SpringApplication.run(Main.class, args);
    }
}
